#pragma once

#define JOY_MIN 174

#define JOY_MID 996
#define JOY_MID_PITCH 983
#define JOY_MID_ROLL 996
#define JOY_MID_YAW 996
#define JOY_MAX 1811

#define JOY_VAL 1.567f

struct SBUS_Data // Radiomaster
{
  short Z, W, X, Y;
  short SWA, SWB, SWC, SWD;
  short VRA, VRB;
  short OTHER[8];
  
  bool FrameLost;
  bool FailSafe;
};

void SBUS_Init();
bool SBUS_Update(SBUS_Data& Data, bool& Off);
